Package com.sas.lsaf.execution.job

## Class JobSubmissionStatus

- java.lang.Object
- - com.sas.lsaf.execution.job.JobSubmissionStatus

- All Implemented Interfaces:
    `java.io.Serializable`

      public class JobSubmissionStatus
      extends java.lang.Object
      implements java.io.Serializable

  The client representation of the status of a job.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JobSubmissionStatus.DetailStatus` | The valid detailed status values.
    `static class` | `JobSubmissionStatus.SummaryStatus` | The summary status.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobSubmissionStatus​(JobSubmissionStatus.SummaryStatus summaryStatus, JobSubmissionStatus.DetailStatus detailStatus, java.lang.String statusMessage)` | The constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `JobSubmissionStatus.DetailStatus` | `getDetailStatus()` | Gets the detail status.
    `java.lang.String` | `getStatusMessage()` | Gets the status message.
    `JobSubmissionStatus.SummaryStatus` | `getSummaryStatus()` | Gets the summary status.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobSubmissionStatus

          public JobSubmissionStatus​(JobSubmissionStatus.SummaryStatus summaryStatus,
                                     JobSubmissionStatus.DetailStatus detailStatus,
                                     java.lang.String statusMessage)

      The constructor.
      Parameters:
        `summaryStatus` - The summary status to use for the object.
        `detailStatus` - The detailed status to use for the object.
        `statusMessage` - The status message.

  - ### Method Detail

    - #### getSummaryStatus

          public JobSubmissionStatus.SummaryStatus getSummaryStatus()

      Gets the summary status.
      Returns:
        The summary status.

    - #### getDetailStatus

          public JobSubmissionStatus.DetailStatus getDetailStatus()

      Gets the detail status.
      Returns:
        The detail status.

    - #### getStatusMessage

          public java.lang.String getStatusMessage()

      Gets the status message.
      Returns:
        The status message.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`